<?xml version="1.0" encoding="UTF-8"?>
<!--
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - JaDOrT: JASMINe Deployment Orchestration Tool
 - Copyright (C) 2008-2009 Bull S.A.S.
 - Copyright (C) 2008-2009 France Telecom R&D
 - Contact: jasmine@ow2.org
 -
 - This library is free software; you can redistribute it and/or
 - modify it under the terms of the GNU Lesser General Public
 - License as published by the Free Software Foundation; either
 - version 2.1 of the License, or any later version.
 -
 - This library is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 - Lesser General Public License for more details.
 -
 - You should have received a copy of the GNU Lesser General Public
 - License along with this library; if not, write to the Free Software
 - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 - USA
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - $Id: Topology with heterogeneous servers.xml 3109 2009-02-11 09:47:26Z alitokmen $
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<topology>
  <worker name="loadbalancer" type="mod_proxy_balancer">
    <URLConnector
      URL="http://localhost/jkmanager"/>
  </worker>

  <group name="jonas-cluster" clustered="true">
    <server name="jonas1" type="jonas" capacity="100">
      <URLConnector
        URL="service:jmx:rmi://xyleme.frec.bull.fr/jndi/rmi://xyleme.frec.bull.fr:11099/jrmpconnector_jonas1"/>
      <balancer worker="loadbalancer" server="ajp://localhost:18019/"/>
    </server>
    <server name="jonas2" type="jonas" capacity="100">
      <URLConnector
        URL="service:jmx:rmi://xyleme.frec.bull.fr/jndi/rmi://xyleme.frec.bull.fr:21099/jrmpconnector_jonas2"/>
      <balancer worker="loadbalancer" server="ajp://localhost:28019/"/>
    </server>
  </group>

  <!-- You can directly manage a JBoss 5 server via JaDOrT deployed on JOnAS 5 -->
  <group name="jboss-5-ga-server" clustered="false">
    <server name="jboss" type="jboss">
      <URLConnector
        URL="service:jmx:rmi://localhost/jndi/rmi://localhost:1090/jmxconnector"
        username="jboss"
        password="jboss"/>
      <balancer worker="loadbalancer" server="ajp://localhost:31005/"/>
    </server>
  </group>

  <!-- By default, JBoss 4 doesn't create a JMX connector URL. You can activate
       that functionality using the JMXRemote options (this is JVM-specific,
       -Dcom.sun.management.jmxremote on Sun JVMs) when starting JBoss. Once
       JBoss 4 has been started with a remote JMX connector, you can directly
       manage that JBoss 4 server via JaDOrT deployed on JOnAS 5. -->
  <group name="jboss-4.x-server" clustered="false">
    <server name="jboss" type="jboss">
      <URLConnector
        URL="service:jmx:rmi:///jndi/rmi://localhost:9900/jmxrmi"
        username="jboss"
        password="jboss"/>
      <balancer worker="loadbalancer" server="ajp://localhost:31004/"/>
    </server>
  </group>
  
  <!-- You can directly manage a GlassFish 2.x server via JaDOrT deployed on JOnAS 5 -->
  <group name="glassfish-server" clustered="false">
    <server name="glassfish" type="glassfish">
      <URLConnector
        URL="service:jmx:rmi://localhost/jndi/rmi://localhost:8686/jmxconnector"
        username="admin"
        password="adminpass"/>
      <balancer worker="loadbalancer" server="ajp://localhost:31011/"/>
    </server>
  </group>

  <!-- To manage a WebLogic server via JaDOrT deployed on JOnAS 5,
     set the default protocol to IIOP in JOnAS' carol.properties file. -->
  <group name="weblogic-server" clustered="false">
    <server name="weblogic" type="weblogic">
      <!-- URLConnector
        URL="service:jmx:iiop://localhost/jndi/iiop://localhost:7001/weblogic.management.mbeanservers.runtime"
        username="weblogic"
        password="weblogic"/ -->
      <URLConnector
        URL="service:jmx:iiops://localhost/jndi/iiops://localhost:7002/weblogic.management.mbeanservers.runtime"
        username="weblogic"
        password="weblogic"/>
      <balancer worker="loadbalancer" server="ajp://localhost:32019/"/>
    </server>
  </group>

  <!-- To manage a WebSphere server via JaDOrT deployed on JOnAS 5,
     change the com.ibm.CORBA.ORBCharEncoding to ISO8859_1 or UCS2
     in WebSphere's orb.properties file.  -->
  <group name="websphere-server" clustered="false">
    <server name="websphere" type="websphere" capacity="100">
      <URLConnector
        URL="service:jmx:iiop://localhost/jndi/iiop://localhost:2809/JMXConnector"
        username="websphere"
        password="websphere"/>
      <balancer worker="loadbalancer" server="ajp://localhost:44022/"/>
    </server>
  </group>
</topology>
